#### D.15.9.1 Vfiltration

Procedure from library `hodge.lib` (see hodge_lib).

Usage:
  Vfiltration(f, p [, eng]); f a poly, p a non-negative integer, eng an optional integer.

Return:
  ring

Purpose:
  compute -generators for the -filtration on truncated up to degree in .

Note:
  activate the output ring with the `setring` command.
  In the output ring, the list `Vfilt` contains the -filtration.
  The value of `eng` controls the algorithm used for Groebner basis computations.
  See the `engine` procedure from dmodapp_lib for the available algorithms.

Display:
  If `printlevel`=1, progress debug messages will be printed.

Example:

    LIB "hodge.lib";
    ring R = 0,(x,y),dp;
    poly f = y^2-x^3;
    def D = Vfiltration(f, 1);
    setring D; Vfilt;
    ==> [1]:
    ==>    [1]:
    ==>       [1]:
    ==>          -1
    ==>       [2]:
    ==>          -Dt*y
    ==>       [3]:
    ==>          -Dt*x
    ==>    [2]:
    ==>       1/6
    ==>    [3]:
    ==>       1
    ==> [2]:
    ==>    [1]:
    ==>       [1]:
    ==>          -Dt*y
    ==>       [2]:
    ==>          -1
    ==>       [3]:
    ==>          -Dt*x^2
    ==>    [2]:
    ==>       5/6
    ==>    [3]:
    ==>       1
    ==> [3]:
    ==>    [1]:
    ==>       [1]:
    ==>          -2*Dt*y^2+1
    ==>       [2]:
    ==>          -Dt*x*y
    ==>       [3]:
    ==>          -y
    ==>       [4]:
    ==>          -x
    ==>       [5]:
    ==>          -3*Dt*x^3-1
    ==>    [2]:
    ==>       1
    ==>    [3]:
    ==>       1

User manual for Singular version 4.4.1, 2025, generated by texi2html.